package com.kingdee.eas.custom.facade;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.facade.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class EarlyWarningFacade extends AbstractBizCtrl implements IEarlyWarningFacade
{
    public EarlyWarningFacade()
    {
        super();
        registerInterface(IEarlyWarningFacade.class, this);
    }
    public EarlyWarningFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IEarlyWarningFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("113E89AF");
    }
    private EarlyWarningFacadeController getController() throws BOSException
    {
        return (EarlyWarningFacadeController)getBizController();
    }
    /**
     *加班费用申请-User defined method
     */
    public void overExpenseApply() throws BOSException, EASBizException
    {
        try {
            getController().overExpenseApply(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *提报申请通知-User defined method
     */
    public void forwardApply() throws BOSException, EASBizException
    {
        try {
            getController().forwardApply(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *加班审批通知-User defined method
     */
    public void overAuditApply() throws BOSException, EASBizException
    {
        try {
            getController().overAuditApply(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *考勤异常通知-User defined method
     */
    public void attendanceAbnormalApply() throws BOSException, EASBizException
    {
        try {
            getController().attendanceAbnormalApply(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *转正审批通知-User defined method
     */
    public void becomeWorkApply() throws BOSException, EASBizException
    {
        try {
            getController().becomeWorkApply(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *个人考勤异常预警-User defined method
     */
    public void thatAttendAbnormal() throws BOSException, EASBizException
    {
        try {
            getController().thatAttendAbnormal(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *部门考勤异常预警-User defined method
     */
    public void departAttendAbnormal() throws BOSException, EASBizException
    {
        try {
            getController().departAttendAbnormal(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *个人考勤异常预警（按月）-User defined method
     */
    public void monthAttendAbnormal() throws BOSException, EASBizException
    {
        try {
            getController().monthAttendAbnormal(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}